# Spec StoreIntervalsIntervalTreeNode
An IntervalTreeNode that stores intervals explicitely in each node.

Extends | IntervalTreeNode
All Extended | IntervalTreeNode
Defined in | <seqan/misc/interval_tree.h>
Signature | `template <typename TInterval> class IntervalTreeNode<TInterval, StoreIntervals>;`

## Template Parameters

`TInterval` | The Interval type to use.

## Interface Metafunction Overview

### Interface Metafunctions Inherited From IntervalTreeNode

- `Cargo`
- `ListType`
- `Value`

## Member Variable Overview

- `TValue StoreIntervalsIntervalTreeNode::center`
  Center of the interval tree node.
- `TString StoreIntervalsIntervalTreeNode::list`
  AllocString of intervals sorted by end point.
- `TString StoreIntervalsIntervalTreeNode::list1`
  AllocString of intervals sorted by begin point.

## Member Variables Detail

### `TValue StoreIntervalsIntervalTreeNode::center`

Center of the interval tree node.

### `TString StoreIntervalsIntervalTreeNode::list`

AllocString of intervals sorted by end point.

### `TString StoreIntervalsIntervalTreeNode::list1`

AllocString of intervals sorted by begin point.

#### Dox Sources

    /*!
     * @class StoreIntervalsIntervalTreeNode
     *
     * @extends IntervalTreeNode
     *
     * @headerfile <seqan/misc/interval_tree.h>
     *
     * @brief An IntervalTreeNode that stores intervals explicitely in each node.
     *
     * @signature template <typename TInterval> class IntervalTreeNode<TInterval,
     *            StoreIntervals>;
     *
     * @tparam TInterval The Interval type to use.
     *
     * @var TValue StoreIntervalsIntervalTreeNode::center;
     *
     * @brief Center of the interval tree node.
     *
     * @var TString StoreIntervalsIntervalTreeNode::list1;
     *
     * @brief @link AllocString @endlink of intervals sorted by begin point.
     *
     * @var TString StoreIntervalsIntervalTreeNode::list;
     *
     * @brief @link AllocString @endlink of intervals sorted by end point.
     */